#pragma once

#include <string>

class Zombie
{
	private:
		std::string _name;

	 public:
		Zombie(const Zombie& src);
		Zombie();
		Zombie(const std::string& name);
		~Zombie();

		Zombie& operator=(const Zombie& src);

		void announe(void);
		void setName(const std::string& name);
};

Zombie* zombieHorde(int N, std::string name);
